Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4534 - pump doesn't retrieve DNS server info when using DHCP
Summary: pump doesn't retrieve DNS server info when using DHCP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-15 16:17 UTC by gzou
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-17 16:35:16 UTC


Attachments (Terms of Use)

Description gzou 1999-08-15 16:17:32 UTC
pump doesn't retrieve DNS server ip address - no
/etc/resolve.conf is generated. As a consequence, a linux
box using DHCP protocol could not lookup internet address by
hostname. However, dhcpcd, which pump is supposed to
replace, generates /etc/resolve.conf automatically.  pump
(or any startup scripts that use pump) should be modified to
do the same.

Comment 1 David Lawrence 1999-08-17 16:35:59 UTC
This used to be a problem with earlier versions of the pump packages
as orginally shipped with 6.0. It has been fixed in the latest
release. Please download and install the latest pump rpm

ftp://ftp.redhat.com/redhat/updates/6.0/i386/pump-0.7.0-1.i386.rpm

Please reopen this report if the problem continues.


Note You need to log in before you can comment on or make changes to this bug.